version: "3.2"
services:
  appstatic:
    user: "0:0"
    image: <Provide appstatic latest docker image id here> # ex: pega-docker.downloads.pega.com/constellation-appstatic-service/docker-image:1.0.9-20230111194246
    ports:
      - "3001:3000"
    command: '-c urlPath=/c11n-appstatic port=3000 root=/usr/src/app/dist'
    volumes:
     - efs-data:/usr/src/app/dist/customers
  c11n-882:
    image: <Provide cdn onprem latest docker image id here> # ex: pega-docker.downloads.pega.com/constellationui/cdn-onprem:8.8.2-ga-49
    ports:
      - "1081:1080"
  c11n-883:
    image: <Provide cdn onprem latest docker image id here> # ex: pega-docker.downloads.pega.com/constellationui/cdn-onprem:8.8.3-ga-31
    ports:
      - "1082:1080"
volumes:
  efs-data:
    driver_opts:
      type: nfs
      o: "addr=<Provide your EFS DNS here>,rw,nfsvers=4.1,rsize=1048576,wsize=1048576,hard,timeo=600,retrans=2,noresvport"
      device: ":/" # provide efs access point path ex: /pvc-c8dae786-ee4d-4ac2-9841-2dbc2fd671ff
